---

nft_filter_input_rules_extra:
  - comment: Allow Tailscale
    proto: udp
    dport: 41641

  - comment: Allow DNS
    saddr: $subnet_internal
    proto: udp
    dport: 53
  - saddr: $subnet_internal
    proto: tcp
    dport: 53

  - comment: Allow NTP
    saddr: $subnet_internal
    proto: udp
    dport: ntp

  - comment: Allow HTTP/HTTPS
    saddr: $subnet_internal
    proto: tcp
    dport: {http, https}

  - comment: Allow LDAP/LDAPS
    saddr: $subnet_internal
    proto: tcp
    dport: {389, 636}

  - comment: Allow NFS
    saddr: {$subnet_unicorn_local, $subnet_unicorn_vms}
    proto: udp
    dport: {111, 2049}
  - proto: tcp
    saddr: {$subnet_unicorn_local, $subnet_unicorn_vms}
    dport: {111, 2049}

  - comment: Allow TFTP
    saddr: $subnet_internal
    proto: udp
    dport: tftp

  - comment: Allow bttrack
    saddr: $subnet_internal
    proto: tcp
    dport: 8000

  - comment: Allow Prometheus exporters scrapping
    saddr: services.th2.hxg.prologin.dev
    proto: tcp
    dport: {9100, 9323, 9630, 9839}


nft_filter_forward_rules:
  - comment: Allow established connections
    raw: ct state {established,related} accept
  - comment: Drop invalid connections
    raw: ct state invalid drop

  - comment: Allow traffic to the VPN
    oif: $if_tailscale

  - comment: Allow external connectivity
    oif: $if_unicorn_pie

nft_nat_rules:
  dnat: []
  snat:
    - comment: External connectivity
      saddr: '!= $ip_unicorn_pie'
      oif: $if_unicorn_pie
      snat: $ip_unicorn_pie
